lchown
linkinfo
Filesystem Functions
PHP Manual

# link

(PHP 4, PHP 5)

link — Create a hard link

### Description

bool link ( string `$from_path` , string `$to_path` )

link() creates a hard link.

### Parameters

`from_path`

  The link name.

`to_path`

  Target of the link.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Notes

> Note: For Windows only: This function requires PHP to run in an elevated mode or with the UAC disabled.

### Changelog

Version | Description
--- | ---
5.3.0 | This function is now available on Windows platforms (Vista, Server 2008 or greater).

### Examples

Example #1 Creating a simple hard link

`<?php
$from_path = 'source.ext'; // This is the file that already exists
$to_path = 'newfile.ext'; // This the filename that you want to link it to
link($from_path, $to_path);
?>`

### Notes

> Note: This function will not work on remote files as the file to be examined must be accessible via the server's filesystem.

### See Also

- symlink() - Creates a symbolic link
- readlink() - Returns the target of a symbolic link
- linkinfo() - Gets information about a link

lchown
linkinfo
Filesystem Functions
PHP Manual